libgimpprint API Reference: module.h File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/module.h File Reference

`#include <gimp-print/list.h>`

Go to the source code of this file.

## Data Structures
struct | stp_module_version
struct | stp_module
## Typedefs
typedef stp_module_version | stp_module_version_t
typedef stp_module | stp_module_t
## Enumerations
enum | stp_module_class_t { STP_MODULE_CLASS_INVALID, STP_MODULE_CLASS_MISC, STP_MODULE_CLASS_FAMILY, STP_MODULE_CLASS_COLOR, STP_MODULE_CLASS_DITHER }
## Functions
int | stp_module_load (void)
int | stp_module_exit (void)
int | stp_module_open (const char *modulename)
int | stp_module_init (void)
int | stp_module_close (stp_list_item_t *module)
stp_list_t * | stp_module_get_class (stp_module_class_t class)

## Typedef Documentation

typedef struct stp_module stp_module_t

| Referenced by module_list_freefunc(), stp_module_get_class(), stp_module_init(), stp_module_open(), stp_module_register(), and stpi_xml_process_family().

typedef struct stp_module_version stp_module_version_t

| Referenced by print_lexmark_module_exit(), and stp_module_open().

## Enumeration Type Documentation

enum stp_module_class_t

  | Enumeration values:
  STP_MODULE_CLASS_INVALID |
  STP_MODULE_CLASS_MISC |
  STP_MODULE_CLASS_FAMILY |
  STP_MODULE_CLASS_COLOR |
  STP_MODULE_CLASS_DITHER |
Definition at line 65 of file module.h.

## Function Documentation

int stp_module_close | ( | stp_list_item_t * | module | ) |

| Definition at line 353 of file module.c. References module_list, stp_list_item_destroy(), and stp_list_item_t.

int stp_module_exit | ( | void |  | ) |

| Definition at line 195 of file module.c. References module_list, and stp_list_destroy().

stp_list_t* stp_module_get_class | ( | stp_module_class_t | class | ) |

| Definition at line 213 of file module.c. References module_list, stp_list_create(), stp_list_get_start(), stp_list_item_create(), stp_list_item_get_data(), stp_list_item_next(), stp_list_item_t, stp_list_t, and stp_module_t. Referenced by stpi_xml_process_family().

int stp_module_init | ( | void |  | ) |

| Definition at line 322 of file module.c. References stp_module::init, module_list, stp_module::name, STP_DBG_MODULE, stp_deprintf(), stp_list_get_start(), stp_list_item_get_data(), stp_list_item_next(), stp_list_item_t, and stp_module_t. Referenced by stp_init().

int stp_module_load | ( | void |  | ) |

| Definition at line 107 of file module.c. References module_list, module_list_freefunc(), static_modules, stp_erprintf(), stp_list_create(), stp_list_destroy(), stp_list_get_start(), stp_list_item_get_data(), stp_list_item_next(), stp_list_item_t, stp_list_node_free_data(), stp_list_set_freefunc(), stp_list_t, stp_module_open(), stp_module_register(), stp_path_search(), and stp_path_split(). Referenced by stp_init().

int stp_module_open | ( | const char * | modulename | ) |

| Definition at line 239 of file module.c. References stp_module::class, stp_module::handle, stp_module_version::major, stp_module_version::minor, module_list, stp_module::name, STP_DBG_MODULE, stp_deprintf(), stp_list_get_start(), stp_list_item_get_data(), stp_list_item_next(), stp_list_item_t, stp_module_register(), stp_module_t, and stp_module_version_t. Referenced by stp_module_load().